Archaeopteryx Software, Inc.
Take Flight!Search

Home
Wing IDE
News
Support
About Us
Python
Open Source
Store

 Search:
 
 Advanced Search




[wingide-users] import abstract fails with python 2.1.1

jpe@archaeopteryx.com jpe@archaeopteryx.com
Wed, 29 Aug 2001 08:49:40 -0400 (EDT)


The problem with debugging with the 2.1.1 interpreter is fixed in our
development sources and will be part of the next beta release.  The
workaround for now is to rename (or copy) the bin/2.1.0 directory to
bin/2.1.1 as noted in the other email.

John

On Tue, 28 Aug 2001, Vineet Jain wrote:

> I have python 2.1.1 installed. I am trying to run print 'hello world' in the
> debugge and get the following error:
> 
> ENTERING WINGDB.PY
> PATH AFTER ['C:\\python\\WingIDE\\src\\debug\\server',
> 'C:\\python\\Python21', '
> c:\\python\\Python21\\DLLs', 'c:\\python\\Python21\\lib',
> 'c:\\python\\Python21\
> \lib\\plat-win', 'c:\\python\\Python21\\lib\\lib-tk']
> Traceback (most recent call last):
>   File "C:\python\WingIDE\bin\wingdb.py", line 63, in ?
>     import abstract
> ImportError: No module named abstract
> Error: Failed to start the debug server
> Error: You may be running an unsupported version of Python
> Python version = 2.1.1
> WINGHOME= C:\python\WingIDE
> kSrcPath = C:\python\WingIDE\src\debug\server (exists=1)
> kBinPath = C:\python\WingIDE\bin\2.1.1\src\debug\server (exists=0)
> -- Type return or enter to exit --
> 
> Any ideas!
> 
> Thanks,
> 
> VJ







Run by Mailman v 2.0.8


Copyright (c) 2000-2002, Archaeopteryx Software, Inc.
Legal Statements